Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(revision 6)
@@ -0,0 +1,813 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using System.Collections;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmValueOfOrderDiag : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispGridColumn
+        {
+            SeqNo = 0,
+            ChangeDate,
+            BeforePrice,
+            AfterPrice,
+            ChangeComment,
+            BeforePriceTax,
+            AfterPriceTax,
+        }
+
+        /// <summary>
+        /// 表示固定行数
+        /// </summary>
+        private static int s_TempRowCnt = 5;
+        
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 変更可能フラグ
+        /// </summary>
+        private bool m_EditFalg = false;
+
+        /// <summary>
+        /// 変更受注税抜金額
+        /// </summary>
+        private int m_OrdersDecisionPrice = 0;
+
+        /// <summary>
+        /// 変更受注税込金額
+        /// </summary>
+        private int m_OrdersDecisionPriceInTax = 0;
+
+        /// <summary>
+        /// 変更コメント
+        /// </summary>
+        private string m_ChanngeComment = string.Empty;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 該当工事基本情報
+        /// </summary>
+        private ConstructionBaseInfo m_ConstructionBaseInfo = new ConstructionBaseInfo();
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 変更可能フラグ
+        /// </summary>
+        public bool EditFalg
+        {
+            get { return m_EditFalg; }
+            set { m_EditFalg = value; }
+        }
+
+        /// <summary>
+        /// 受注税抜金額
+        /// </summary>
+        public int OrdersDecisionPrice
+        {
+            get { return m_OrdersDecisionPrice; }
+            set { m_OrdersDecisionPrice = value; }
+        }
+
+        /// <summary>
+        /// 受注税込金額
+        /// </summary>
+        public int OrdersDecisionPriceInTax
+        {
+            get { return m_OrdersDecisionPriceInTax; }
+            set { m_OrdersDecisionPriceInTax = value; }
+        }
+
+        /// <summary>
+        /// 変更コメント
+        /// </summary>
+        public string ChanngeComment
+        {
+            get { return m_ChanngeComment; }
+            set { m_ChanngeComment = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        #endregion
+
+        #region フォーム初期化
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmValueOfOrderDiag()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmValueOfOrder_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 工事情報取得
+            if (!GetBaseInfoData())
+            {
+                MessageBox.Show("工事基本情報が存在しません。", "エラー表示", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                this.Close();
+                return;
+            }
+
+            // 初期表示
+            InitDataLoad();
+
+            // 編集モード設定
+            InitFormat();
+        }
+        #endregion
+
+        #region 編集モード設定
+        /// <summary>
+        /// 編集モード設定
+        /// </summary>
+        private void InitFormat()
+        {
+            textBox001.ReadOnly = !m_EditFalg;
+            textBox002.ReadOnly = !m_EditFalg;
+            textBox003.ReadOnly = !m_EditFalg;
+            btnEntry.Visible = m_EditFalg;
+        }
+        #endregion
+
+        #region フォームキーダウン
+        /// <summary>
+        /// フォームキーダウン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmValueOfOrderDiag_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region セルクリック時
+        /// <summary>
+        /// セルクリック時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                if (m_bChengeAns)
+                {
+                    if (MessageBox.Show("入力したデータを破棄しますか？。", "データ表示確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No) return;
+                }
+
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow dgvRow = dgv.CurrentRow;
+
+                // 空白チェック
+                if (!BlanckRowCheck(dgvRow)) return;
+                // グリッドクリック以外は処理しない
+                if (e.RowIndex < 0) return;
+
+                // 編集領域クリア
+                ClearEditArea();
+
+                // 変更後受注税抜金額
+                lbl001.Text = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.BeforePrice].Value);
+
+                // 変更後受注税込金額
+                lbl002.Text = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.BeforePriceTax].Value);
+
+                // 変更後受注税抜金額
+                textBox001.Text = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.AfterPrice].Value);
+                textBox001.ReadOnly = true;
+
+                // 変更後受注税込金額
+                textBox002.Text = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.AfterPriceTax].Value);
+                textBox002.ReadOnly = true;
+
+                // 変更コメント
+                textBox003.Text = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.ChangeComment].Value);
+                textBox003.ReadOnly = true;
+
+                //ツールチップを表示するコントロールと、表示するメッセージ
+                toolTip1.SetToolTip(textBox003, textBox003.Text);
+
+                m_bChengeAns = false;
+
+                btnEntry.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.No;
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン押下
+        /// <summary>
+        /// 実行ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEntry_Click(object sender, EventArgs e)
+        {
+            // 金額変更
+            if (!EntryValueOfOrder()) return;
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 編集領域クリア
+        /// <summary>
+        /// 編集領域クリア
+        /// </summary>
+        private void ClearEditArea()
+        {
+            try
+            {
+                lbl001.Text = "0";
+                lbl002.Text = "0";
+                textBox001.Text = "0";
+                textBox002.Text = "0";
+                textBox003.Text = string.Empty;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                // 現在受注金額表示
+                SetInitOrderValue();
+                
+                // 一覧表示
+                ItemListDisplay();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 現在受注金額表示
+        /// <summary>
+        /// 現在受注金額表示
+        /// </summary>
+        private void SetInitOrderValue()
+        {
+            try
+            {
+                // 編集エリアクリア
+                ClearEditArea();
+
+                // 現在受注金額表示
+                lbl001.Text = m_ConstructionBaseInfo.OrdersDecisionPrice.ToString("#,0");
+                lbl002.Text = m_ConstructionBaseInfo.OrdersDecisionPriceInTax.ToString("#,0");
+
+                m_bChengeAns = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 受注金額変更一覧
+        /// <summary>
+        /// 受注金額変更一覧
+        /// </summary>
+        private void ItemListDisplay()
+        {
+            IOOrdersPriceData PriceDB = new IOOrdersPriceData();
+            try
+            {
+                DataGridView dgv = dgvMaster;
+                dgv.Rows.Clear();
+
+                // 進行中案件を検索する
+                string strSQL = PriceDB.CreatePrimarykeyString(m_ConstructionCode);
+                strSQL += " ORDER BY ChangeNo Desc";
+
+                List<OrdersPriceData> PriceList = new List<OrdersPriceData>();
+                if (!PriceDB.SelectAction(strSQL, ref PriceList)) return;
+
+                // 要素表示
+                foreach (OrdersPriceData wrk in PriceList)
+                {
+                    // データ表示
+                    dgv.Rows.Add(wrk.ChangeNo,
+                                        wrk.ChangeDate.ToShortDateString(),
+                                        wrk.BeforeValue.ToString("#,0"),
+                                        wrk.AfterValue.ToString("#,0"),
+                                        wrk.ChangeComment,
+                                        wrk.BeforeValueInTax.ToString("#,0"),
+                                        wrk.AfterValueInTax.ToString("#,0"));
+                }
+                // 表示行が足りない場合の表示
+                if (dgv.Rows.Count < s_TempRowCnt)
+                {
+                    int AddRowCnt = s_TempRowCnt - dgv.Rows.Count;
+                    string strDummy = string.Empty;
+                    for (int ix = 0; ix < AddRowCnt; ix++)
+                    {
+                        int rowCnt = dgv.Rows.Add(strDummy, strDummy, strDummy, strDummy);
+                        dgv.Rows[rowCnt].ReadOnly = true;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                PriceDB.close(); PriceDB = null;
+            }
+        }
+        #endregion
+
+        #region グリッド空行チェック
+        /// <summary>
+        /// グリッド空行チェック
+        /// </summary>
+        /// <param name="row"></param>
+        /// <returns></returns>
+        private bool BlanckRowCheck(DataGridViewRow row)
+        {
+            try
+            {
+                // 空欄チェック
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)DispGridColumn.AfterPrice].Value)) return false;
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)DispGridColumn.BeforePrice].Value)) return false;
+                if (CommonMotions.cnvString(row.Cells[(int)DispGridColumn.ChangeComment].Value).Length == 0) return false;
+
+                if (CommonMotions.cnvInt(row.Cells[(int)DispGridColumn.AfterPrice].Value) == 0
+                    && CommonMotions.cnvInt(row.Cells[(int)DispGridColumn.BeforePrice].Value) == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 金額変更
+        /// <summary>
+        /// 金額変更
+        /// </summary>
+        /// <returns></returns>
+        private bool EntryValueOfOrder()
+        {
+            try
+            {
+                // エラーチェック
+                if (!DispFeildCheck()) return false;
+
+                DataGridView dgv = dgvMaster;
+
+                dgv.Rows.Insert(0, 1);
+
+                DataGridViewRow dgvRow = dgv.Rows[0];
+
+                dgvRow.Cells[(int)DispGridColumn.BeforePrice].Value = CommonMotions.cnvInt(lbl001.Text).ToString("#,0");
+                dgvRow.Cells[(int)DispGridColumn.BeforePriceTax].Value = CommonMotions.cnvInt(lbl002.Text).ToString("#,0");
+
+                if (CommonMotions.cnvDate(dgvRow.Cells[(int)DispGridColumn.ChangeDate].Value) == DateTime.MinValue)
+                    dgvRow.Cells[(int)DispGridColumn.ChangeDate].Value = DateTime.Now.ToShortDateString();
+
+                dgvRow.Cells[(int)DispGridColumn.AfterPrice].Value = CommonMotions.cnvInt(textBox001.Text).ToString("#,0");
+                dgvRow.Cells[(int)DispGridColumn.AfterPriceTax].Value = CommonMotions.cnvInt(textBox002.Text).ToString("#,0");
+                
+                dgvRow.Cells[(int)DispGridColumn.ChangeComment].Value = textBox003.Text;
+
+                // 変更金額登録
+                if (!ChangePriceValue())
+                {
+                    MessageBox.Show("受注金額登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                m_bChengeAns = false;
+
+                // プロパティ値セット
+                m_OrdersDecisionPrice = CommonMotions.cnvInt(textBox001.Text);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 受注金額変更処理
+        /// <summary>
+        /// 受注金額変更処理
+        /// </summary>
+        /// <param name="BaseChange">基本情報変更フラグ</param>
+        /// <returns></returns>
+        private bool ChangePriceValue()
+        {
+            IOOrdersPriceData PriceDB = new IOOrdersPriceData();
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow dgvRow = dgv.CurrentRow;
+
+                PriceDB.connect(); PriceDB.beginTran();
+                BaseDB.connect(); BaseDB.beginTran();
+
+                // 受注金額登録
+                if (!OrdersPriceDataInsert(PriceDB))
+                {
+                    PriceDB.rollback();
+                    return false;
+                }
+
+                // 工事基本情報受注金額変更
+                if (!BaseOrdersDecisionChange(BaseDB))
+                {
+                    BaseDB.rollback();
+                    PriceDB.rollback();
+                    return false;
+                }
+
+                PriceDB.commit();
+                BaseDB.commit();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PriceDB.close(); PriceDB = null;
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region 変更金額履歴登録
+        /// <summary>
+        /// 変更金額履歴登録
+        /// </summary>
+        /// <returns></returns>
+        private bool OrdersPriceDataInsert(IOOrdersPriceData PriceDB)
+        {
+            try
+            {
+                // 変更番号取得
+                string strSQL = PriceDB.CreatePrimarykeyString(m_ConstructionCode);
+                int MaxSeq = PriceDB.SelectMaxAddDataCount(strSQL, false) + 1;
+
+                // データ追加
+                OrdersPriceData PriceRec = new OrdersPriceData();
+                PriceRec.ConstructionCode = m_ConstructionCode;
+                PriceRec.ChangeNo = MaxSeq;
+                PriceRec.ChangeDate = DateTime.Now;
+                PriceRec.ChangePersonCode = CommonMotions.LoginUserData.PersonCode;
+                PriceRec.ChangePersonName = CommonMotions.LoginUserData.PersonName;
+
+                PriceRec.BeforeValue = CommonMotions.cnvInt(lbl001.Text);
+                PriceRec.BeforeValueInTax = CommonMotions.cnvInt(lbl002.Text);
+
+                PriceRec.AfterValue = CommonMotions.cnvInt(textBox001.Text);
+                PriceRec.AfterValueInTax = CommonMotions.cnvInt(textBox002.Text);
+                PriceRec.ChangeComment = CommonMotions.cnvString(textBox003.Text);
+
+                if (!PriceDB.InsertAction(PriceRec, false))
+                {
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事基本情報受注金額変更
+        /// <summary>
+        /// 工事基本情報受注金額変更
+        /// </summary>
+        /// <param name="BaseDB"></param>
+        /// <returns></returns>
+        private bool BaseOrdersDecisionChange(IOConstructionBaseInfo BaseDB)
+        {
+            try
+            {
+                // 現在受注金額表示
+                lbl001.Text = m_ConstructionBaseInfo.OrdersDecisionPrice.ToString("#,0");
+                lbl002.Text = m_ConstructionBaseInfo.OrdersDecisionPriceInTax.ToString("#,0");
+
+                // 税抜受注金額変更
+                if (!BaseDB.UpdateFeild(m_ConstructionCode,
+                                    (int)IOConstructionBaseInfo.TableColumn.ORDERS_DECISION_PRICE,
+                                        CommonMotions.cnvInt(textBox001.Text), false)) return false;
+
+                // 税込受注金額変更
+                if (!BaseDB.UpdateFeild(m_ConstructionCode,
+                                    (int)IOConstructionBaseInfo.TableColumn.ORDERS_DECISION_PRICE_IN_TAX,
+                                        CommonMotions.cnvInt(textBox002.Text), false)) return false;
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bAns = true;
+            try
+            {
+                // 受注税抜金額
+                bAns = true;
+                if (textBox001.Text.Length == 0)
+                {
+                    bAns = false;
+                }
+                else
+                {
+                    if (!CommonMotions.chkNumeric(textBox001.Text)) bAns = false;
+                }
+                CommonMotions.chgBackColor(textBox001, bAns);
+                if (!bAns)
+                {
+                    MessageBox.Show("税別受注金額にエラーがあります。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 受注税込金額
+                bAns = true;
+                if (textBox002.Text.Length == 0)
+                {
+                    bAns = false;
+                }
+                else
+                {
+                    if (!CommonMotions.chkNumeric(textBox002.Text)) bAns = false;
+                }
+                CommonMotions.chgBackColor(textBox002, bAns);
+                if (!bAns)
+                {
+                    MessageBox.Show("税込受注金額にエラーがあります。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 変更コメント
+                bAns = true;
+                if (textBox003.Text.Length == 0)
+                {
+                    bAns = false;
+                }
+                CommonMotions.chgBackColor(textBox003, bAns);
+                if (!bAns)
+                {
+                    MessageBox.Show("変更理由にエラーがあります。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 数字エリア入力後編集
+        /// <summary>
+        /// 数字エリア入力後編集
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void textBox_Validated(object sender, EventArgs e)
+        {
+            try
+            {
+                if (ActiveControl.Name.Equals(btnEnd.Name)) return;
+
+                TextBox txtbox = (TextBox)sender;
+                int iwrk = CommonMotions.cnvInt(txtbox.Text);
+                txtbox.Text = iwrk.ToString("#,0");
+
+                if (txtbox.Name.Equals(textBox001.Name))
+                {
+                    // 税込金額を計算する
+                    double wrkOrdersDecisionPriceInTax = ((double)iwrk * (1.0 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                    textBox002.Text = Math.Round(wrkOrdersDecisionPriceInTax, 0).ToString("#,0");
+                }
+                else
+                {
+                    // 税込金額を計算する
+                    double wrkOrdersDecisionPrice = ((double)iwrk / (1.0 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                    textBox001.Text = Math.Round(wrkOrdersDecisionPrice, 0).ToString("#,0");
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事情報取得処理
+        /// <summary>
+        /// 工事情報取得
+        /// </summary>
+        /// <returns></returns>
+        private bool GetBaseInfoData()
+        {
+            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            try
+            {
+                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
+                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                cbDB.close(); cbDB = null;
+            }
+        }
+        #endregion
+
+        #region 編集領域変更時イベント
+        /// <summary>
+        /// 編集領域変更時イベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void textBox_TextChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォームクローズ処理
+        /// <summary>
+        /// フォームクローズ処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmValueOfOrderDiag_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+                if (m_bChengeAns)
+                {
+                    if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        e.Cancel = true;
+                        return;
+                    }
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 6)
@@ -135,7 +135,7 @@
                 {
                     FrmChangePassword wrkFrm = new FrmChangePassword();
                     wrkFrm.PerssonCode = CommonMotions.LoginUserData.PersonCode;
-                    wrkFrm.ShowInTaskbar = false;
+                    //wrkFrm.ShowInTaskbar = false;
                     wrkFrm.ShowDialog();
                     passchange = wrkFrm.EndButton;
                     wrkFrm.Dispose();
@@ -224,14 +224,14 @@
                 m_VersionInfo = FileVersionInfo.GetVersionInfo(System.Reflection.Assembly.GetExecutingAssembly().Location);
                 // タイトルの表示
                 // タイトルの表示
-                lblTitile.Text = "";
+                lblTitle.Text = "";
                 for (int i = 0; i < m_VersionInfo.ProductName.Length; i++)
                 {
-                    if (i != 0) lblTitile.Text += "　";
-                    lblTitile.Text += m_VersionInfo.ProductName.Substring(i, 1);
+                    if (i != 0) lblTitle.Text += "　";
+                    lblTitle.Text += m_VersionInfo.ProductName.Substring(i, 1);
                 }
 
-                lblTitile.Text += "　ロ　グ　イ　ン";
+                lblTitle.Text += "　ロ　グ　イ　ン";
 
                 // コンボボックス初期処理
                 SetPersonInChargeCombBox();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.designer.cs	(revision 6)
@@ -33,7 +33,7 @@
             System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FrmLogin));
             this.btnExecuttion = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
-            this.lblTitile = new System.Windows.Forms.Label();
+            this.lblTitle = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
             this.cmbUserList = new System.Windows.Forms.ComboBox();
             this.txtPassWord = new System.Windows.Forms.TextBox();
@@ -71,19 +71,19 @@
             this.btnEnd.UseVisualStyleBackColor = true;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
             // 
-            // lblTitile
+            // lblTitle
             // 
-            this.lblTitile.BackColor = System.Drawing.Color.Black;
-            this.lblTitile.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblTitile.Font = new System.Drawing.Font("AR丸ゴシック体E", 14.25F);
-            this.lblTitile.ForeColor = System.Drawing.Color.White;
-            this.lblTitile.Location = new System.Drawing.Point(190, 6);
-            this.lblTitile.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
-            this.lblTitile.Name = "lblTitile";
-            this.lblTitile.Size = new System.Drawing.Size(400, 22);
-            this.lblTitile.TabIndex = 7;
-            this.lblTitile.Text = "現　場　監　督　秘　書　ロ　グ　イ　ン";
-            this.lblTitile.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblTitle.BackColor = System.Drawing.Color.Black;
+            this.lblTitle.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblTitle.Font = new System.Drawing.Font("AR丸ゴシック体E", 14.25F);
+            this.lblTitle.ForeColor = System.Drawing.Color.White;
+            this.lblTitle.Location = new System.Drawing.Point(190, 6);
+            this.lblTitle.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
+            this.lblTitle.Name = "lblTitle";
+            this.lblTitle.Size = new System.Drawing.Size(400, 22);
+            this.lblTitle.TabIndex = 7;
+            this.lblTitle.Text = "現　場　監　督　秘　書　ロ　グ　イ　ン";
+            this.lblTitle.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // label2
             // 
@@ -211,7 +211,7 @@
             this.Controls.Add(this.cmbUserList);
             this.Controls.Add(this.label3);
             this.Controls.Add(this.label2);
-            this.Controls.Add(this.lblTitile);
+            this.Controls.Add(this.lblTitle);
             this.Controls.Add(this.btnExecuttion);
             this.Controls.Add(this.btnEnd);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
@@ -238,7 +238,7 @@
 
         private System.Windows.Forms.Button btnExecuttion;
         private System.Windows.Forms.Button btnEnd;
-        private System.Windows.Forms.Label lblTitile;
+        private System.Windows.Forms.Label lblTitle;
         private System.Windows.Forms.Label label2;
         private System.Windows.Forms.ComboBox cmbUserList;
         private System.Windows.Forms.TextBox txtPassWord;
